import linkahead as db
# RecordTypes
BOX = db.RecordType(name="Box")
PERSON = db.RecordType(name="Person")
LOAN = db.RecordType(name="Loan")
# Properties
FIRST_NAME = db.Property(name="firstName", datatype=db.TEXT)
LAST_NAME = db.Property(name="lastName", datatype=db.TEXT)
EMAIL = db.Property(name="email", datatype=db.TEXT)
LOCATION = db.RecordType(name="Location")
DESTINATION = db.Property(name="LoanLocation", datatype="Location")
RETURNLOCATION = db.Property(name="ReturnLocation", datatype="Location")
COMMENT = db.Property(name="comment", datatype=db.TEXT)
EXHAUST_CONTENTS = db.Property(name="exhaustContents", datatype=db.BOOLEAN)
BORROWER = db.Property(name="Borrower", datatype=PERSON.name)
CONTENT = db.Property(name="Content", datatype=db.TEXT)
LOAN_REQUESTED = db.Property(name="loanRequested", datatype=db.DATETIME)
EXPECTED_RETURN = db.Property(name="expectedReturn", datatype=db.DATETIME)
LOAN_ACCEPTED = db.Property(name="loanAccepted", datatype=db.DATETIME)
LENT = db.Property(name="lent", datatype=db.DATETIME)
RETURN_REQUESTED = db.Property(name="returnRequested", datatype=db.DATETIME)
RETURN_ACCEPTED = db.Property(name="returnAccepted", datatype=db.DATETIME)
RETURNED = db.Property(name="returned", datatype=db.DATETIME)
BOX_NUMBER = db.Property(name="Number", datatype=db.TEXT)

# Other Strings
# TODO: Adapt datamodel and remove name override
BOX_RETURNED = "Box (returned)"
BOX_BORROWED = "Box (borrowed)"
